# Load Measure

![](/files/-MihpfoQ89rYCc-sFgw8)

![](/files/-MihpewB3YIpA-7yFct_) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-energy/blob/master/honeybee_grasshopper_energy/src//HB%20Load%20Measure.py)

Load OpenStudio measures into Grasshopper and assign the measure's input arguments. The resulting measure object can be plugged into the "measures\_" input of the "HB Model To OSM" component in order to be included in the export to OpenStudio.

Read more about OpenStudio measures and creating your own here: <http://nrel.github.io/OpenStudio-user-documentation/reference/measure_writing_guide/>

You can also download several measures created by others from here: <https://bcl.nrel.gov/nrel/types/measure>

## Inputs

* **measure\_path \[Required]**

  Path to the folder in which the measure exists. This folder must contain a measure.rb and a measure.xml file. Note that connecting an input here will transform the component, essentially removing this input and changing all of the other component inputs to be input arguments for the measure.&#x20;

## Outputs

* **report**

  The execution information, as output and error streams&#x20;
* **measure**

  A measure measure object can be plugged into the "measures\_" input of the "HB Model To OSM" component in order to be included in the export to OpenStudio.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/hb-energy-primer/components/5_simulate/load_measure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
